#include <cstdio>
using namespace std;
int main()
{
    int x;
    while (~scanf("%d", &x))
    {
        if (90 <= x && x <= 100)
            puts("A");
        else if (80 <= x && x <= 89)
            puts("B");
        else if (70 <= x && x <= 79)
            puts("C");
        else if (60 <= x && x <= 69)
            puts("D");
        else if (0 <= x && x <= 59)
            puts("E");
        else
            puts("Score is error!");
    }
    return 0;
}